package dnddemo2;
import java.awt.Color;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;

public class DnDDemo2 {
    private static void constructGUI() {
        JFrame frame = new JFrame("Drag and Drop Demo 2");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setContentPane(new JPanel());

        JTextField textField = new JTextField(25);
        textField.setText("Let's swing higher");
        frame.add(textField);

        //Create a text area.
        JTextArea textArea = new JTextArea(4, 25);
        textArea.setText("Demonstrating\ndrag and drop");
        textArea.setForeground(Color.red);
        frame.add(textArea);

        textArea.setDragEnabled(true);
        textField.setDragEnabled(true);

        TextColorTransferHandler transferHandler = 
            	new TextColorTransferHandler();
        textArea.setTransferHandler(transferHandler);
        textField.setTransferHandler(transferHandler);
        frame.pack();
        frame.setVisible(true);
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                constructGUI();
            }
        });
    }
}
